Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1374605 - [Doc RFE]: Document steps required to configure nfs-ganesha using gdeploy
Summary: [Doc RFE]: Document steps required to configure nfs-ganesha using gdeploy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Bhavana
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1348820 1351549 1365761
TreeView+ depends on / blocked
 
Reported: 2016-09-09 08:20 UTC by Shashank Raj
Modified: 2017-03-24 10:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 10:19:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1368444 None None None Never

Internal Links: 1368444

Description Shashank Raj 2016-09-09 08:20:53 UTC
With the gdeploy support for nfs-ganesha in 3.2, we need to document the steps required to configure nfs-ganesha using gdeploy in 3.2 administration guide.

This can be a sub-section under already existing 7.2.4 Nfs ganesha section.

Comment 2 Bhavana 2016-09-16 09:55:11 UTC
Hello Atin / Sachi,

Should this information be in the nfs-ganesha section in the Admin guide or in the gdeploy chapter (6.1)? The nfs-gnaesha team and I think that it would be best to document this information in the gdeploy section as a separate sub-section, as the user would then have access to all gdeploy related information in one place. What is your opinion on this?

https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Administration_Guide/index.html#chap-Red_Hat_Storage_Volumes-gdeploy

Comment 3 Atin Mukherjee 2016-09-16 17:56:13 UTC
I echo the same but lets hear from Sachi as well

Comment 4 Sachidananda Urs 2016-09-27 06:42:31 UTC
(In reply to Bhavana from comment #2)
> Hello Atin / Sachi,
> 
> Should this information be in the nfs-ganesha section in the Admin guide or
> in the gdeploy chapter (6.1)? The nfs-gnaesha team and I think that it would
> be best to document this information in the gdeploy section as a separate
> sub-section, as the user would then have access to all gdeploy related
> information in one place. What is your opinion on this?
> 
> https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-
> single/Administration_Guide/index.html#chap-Red_Hat_Storage_Volumes-gdeploy

We can document this under gdeploy section. And under NFS ganesha we can say this can be deployed using gdeploy and provide a link to gdeploy section.

Comment 5 Bhavana 2016-09-27 06:52:56 UTC
Thanks Sachi.

Also,

Shashank/Sachi - Can you please share the steps to configure nfs-ganesha using gdeploy

Comment 9 Sachidananda Urs 2016-12-05 13:41:00 UTC
I have gone through the document. Looks good, added a few comments.

Comment 10 Bhavana 2016-12-06 09:04:16 UTC
Hi sachi,

Updated the section with the comments provided in the google doc and bug 1365761

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-bz-1365761-gdeploy-enhancements/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#idm140271838301648

Will move this bug to on qa once this topic branch is merged to master.

Comment 11 Bhavana 2016-12-28 08:45:16 UTC
I have incorporated all the changes that was suggested and also the ones shared across emails. Following is the updated link:

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#gdeploy_ganesha

Comment 13 Manisha Saini 2017-02-08 08:22:15 UTC
Bhavana,


Based on the below mentioned bug,As this bug has been deferred beyond 3.2.0,So gdeploy will not handle delete node in this release.

Can you please remove "delete node section" via gdeploy in section-
6.1.8.2. Supported Actions
    ->Deleting a Node 

https://bugzilla.redhat.com/show_bug.cgi?id=1418999

Assigning back this bug to incorporate the required changes.

Comment 15 Bhavana 2017-02-13 09:33:22 UTC
Hi Atin,

I have removed the "Deleting a Node" information from the guide. It will take a while for the changes to be reflected online. I will share the link as soon as its updated.

In the meanwhile, I want to understand if you are suggesting to add the following comment from bug 1418999 as a note? It could be added right under "adding a node" if that is what is required.

https://bugzilla.redhat.com/show_bug.cgi?id=1418999#c3

Comment 16 Sachidananda Urs 2017-02-13 10:17:23 UTC
Bhavana,

In gdeploy document, you can add a note saying:

"""
To delete a node please refer topic `Deleting a node in the cluster' under section 7.2.4.5. Modifying the HA cluster using the ganesha-ha.sh script

"""

Comment 18 Manisha Saini 2017-02-21 11:15:16 UTC
Bhavana,

Please remove the "add-config-lines" support block in refresh-Config via Gdeploy


Path-

In supported actions in Gdeploy 
6.1.8.2. Supported Actions
              ->Refreshing NFS Ganesha Configuration
                      
                  The action refresh-config supports the following variables:
                    -> add-config-lines 

Example 2 - To add a line and run refresh-config add the following details to the configuration file:

Comment 20 Manisha Saini 2017-02-22 11:24:03 UTC
Verified the Doc RFE.
As it has all the required changes,hence moving this Doc RFE to verified state.

Comment 21 Rejy M Cyriac 2017-03-24 10:19:50 UTC
RHGS 3.2.0 GA completed on 23 March 2017


Note You need to log in before you can comment on or make changes to this bug.